Net-SNMP FAQ (Перевод)   |   Net-SNMP README (Перевод)

Перевод документации на Net-SNMP :: Net-SNMP FAQ




www.net-snmp.ru /  Net-SNMP FAQ / Какие ОС поддерживаются?



Какие ОС поддерживаются?

Приложения и агенты работают (в некоторых случаях с ограничениями) на следующих ОС:

  • Linux (kernels 2.6 to 1.3)
  • Solaris/SPARC (11 to 2.3), Solaris/Intel (10, 9) — см. README.solaris
  • HP-UX (10.20 to 9.01 and 11.23 to 11.0 — см. README.hpux11)
  • Mac OS X (10.4 to 10.1) — см. README.osX
  • NetBSD (2.0 to 1.0)
  • FreeBSD (6.1 to 2.2)
  • OpenBSD (4.0 to 2.6)
  • BSDi (4.0.1 to 2.1)
  • AIX (5.3, 5.2, 5.1, 4.3.3, 4.1.5, 3.2.5) — см. README.aix
  • IRIX (6.5 to 5.1)
  • OSF (4.0, 3.2 and Tru64 Unix 5.1B — см. README.tru64)
  • SunOS 4 (4.1.4 to 4.1.2)
  • Ultrix (4.5 to 4.2)
  • Dynix/PTX 4.4
  • QNX 6.2.1A

Также осуществлено портирование на Stratus VOS. Подробнее см. на http://ftp.stratus.com/vos/network/network.html

О поддержке Windows см. Это работает на Windows?

На некоторых ОС не удастся скомпилировать некоторые части агента. Это можно залечить с потерей части функциональности сборкой без части модулей. Подробнее см. Что же делать, если в списке нет нужной ОС?

Также важно, что наличие в списке определённой ОС вовсе не гарантирует безупречную работу.
Перечислено лишь те ОС, о каких сообщали различные люди как о тех, на которых вроде работает Net-SNMP. (Или, что более часто, сообщали об ошибках, которые мы думаем решены).



<<<  В чем различие между UCD-SNMP и Net-SNMP? 
Что же делать, если в списке нет нужной ОС?  >>>
При копировании размещение гиперссылки на оригинал обязательно!
© MIB Search 2006-2009